Welcome!

Welcome to the official BlackBerry Support Community Forums.

This is your resource to discuss support topics with your peers, and learn from each other.

inside custom component

Java Development

Reply
New Contributor
MatthewPierce
Posts: 9
Registered: ‎03-31-2012
My Device: All

Cannot install SDK Plugin for Eclipse

Windows 7 - 64 Bit

Eclipse 3.7.2

Running Eclipse as Administrator

 

Error Message:

An error occurred while collecting items to be installed
session context was:smileysad:profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Problems downloading artifact: osgi.bundle,net.rim.ejde.componentpack5.0.0,5.0.0.36.
MD5 hash is not as expected. Expected: 0024d6011b8d27bf724efec6d315b760 and found b5b74d1b75690024dc1c1250f2b0d3e7.
Problems downloading artifact: osgi.bundle,net.rim.ejde.componentpack6.0.0,6.0.0.43.
MD5 hash is not as expected. Expected: a9d082ecb46b69cdd142ecc9c8836eae and found 970878b00399d126812a546ca42ad0c2.
Problems downloading artifact: osgi.bundle,net.rim.ejde.componentpack7.0.0,7.0.0.33.
MD5 hash is not as expected. Expected: 4e1f323f03715450f0e3543471c4ec15 and found 26c4b1d6fc2b822cb214e6afbf393d8e.
Problems downloading artifact: osgi.bundle,net.rim.ejde.componentpack7.1.0,7.1.0.7.
MD5 hash is not as expected. Expected: 13927daa913fb88caf7ad0b92234f0cf and found 4c48b41f71ef4f64d12ac2a61d35fb47.

 

Would this be because I'm running Eclipse 3.7.2 and the updates for the BlackBerry SDK are for 3.6?

Site:  BlackBerry Java Plug-in Update Site - http://www.blackberry.com/go/eclipseUpdate/3.6/java

 

Anyone have a fix, other than downgrading to Eclipse 3.6?

 

Thanks.

Developer
paulkayuk
Posts: 133
Registered: ‎04-30-2010
My Device: Curve 8520

Re: Cannot install SDK Plugin for Eclipse

I had the same problem yesterday with:

 

Windows XP

Eclipse 3.7.2

BlackBerry Java Plugin site for 3.6

 

I tried a second time and the install worked as does the installed combination, so it's (possibly) Not an Eclipse 3.7.2 + Blackberry 3.6 update problem

New Developer
2pintsandanaxe
Posts: 10
Registered: ‎06-20-2012
My Device: PlayBook

Re: Cannot install SDK Plugin for Eclipse

I have had the same issue on both my Linux (Fedora 17-64bit) with Eclipse Juno, and my Eclipse Helios on my Windows XP pro laptop. I even tried to just install the full SDK from the BlackBerry site then do an update, same failure...

 

Here is the message I recieve..

 

An error occurred while collecting items to be installed
session context was:smileysad:profile=SDKProfile, phase=org.eclipse.equinox.internal.p2.engine.phases.Collect, operand=, action=).
Unable to read repository at http://downloads.blackberry.com/upr/developers/Win/net.rim.ejde.componentpack4.5.0_4.5.0.30.jar.
Read timed out
Unable to read repository at http://downloads.blackberry.com/upr/developers/Win/net.rim.ejde.componentpack5.0.0_5.0.0.36.jar.
Read timed out
Unable to read repository at http://downloads.blackberry.com/upr/developers/Win/net.rim.ejde.componentpack6.0.0_6.0.0.43.jar.
Read timed out
Unable to read repository at http://downloads.blackberry.com/upr/developers/javadev/Win/net.rim.ejde.componentpack7.1.0_7.1.0.10....
Read timed out

 

Sorry I don't have an answer for you MatthewPierce. I am going to keep plugging away at this to get to the solution.

New Contributor
h_ivan
Posts: 7
Registered: ‎01-11-2011
My Device: Not Specified

Re: Cannot install SDK Plugin for Eclipse

Hi,

 

It seems downloading  http://downloads.blackberry.com/upr/developers/Win/net.rim.ejde.componentpackxxxxxxxx.jar file always encounters problems. I;ve retried several times and either I got corrupted file or read time out.

 

If only Blackberry got mirror sites.

New Contributor
h_ivan
Posts: 7
Registered: ‎01-11-2011
My Device: Not Specified

Re: Cannot install SDK Plugin for Eclipse

Hi,

 

I know what causes the Read Timeout. After finished downloading the big jar file, Kaspersky is scanning for known virus. Scanning the hundreds of M file is long enough to trigger the eclipse timeout. Pause the antivirus.